
--[[

Class stats database by Galuhad for Tulkas
Update 13.0

--]]

_STATSDB =
{

	-- BURGLAR --------------------------------------------------------------------------------------------------------------------------------------------

	[40] =
	{
		[30] = 		-- Armour
		{
			[25] = 1;		-- Physical Mitigation
			[26] = 0.2;		-- Tactical Mitigation
		};
		[7] =		-- Might
		{
			--[25] = 2;		-- Physical Mitigation
			[19] = 3;		-- Block Rating
			[20] = 2;		-- Parry Rating
		};
		[8] =		-- Agility
		{
			[12] = 1;		-- Critical Rating
			[20] = 2;		-- Parry Rating
			[21] = 3;		-- Evade Rating
			[14] = 8;		-- Physical Mastery Rating
		};
		[9] =		-- Vitality
		{
			[1] = 3;		-- Maximum Morale
			--[25] = 2;		-- Physical Mitigation
			--[26] = 4;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[3] = 7.2;		-- non-Combat Morale Regen
		};
		[10] =		-- Will
		{
			[26] = 1;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[15] = 5;		-- Tactical Mastery Rating
		};
		[11] =		-- Fate
		{
			[12] = 2.5;		-- Critical Rating
			[26] = 1;		-- Tactical Mitigation
			[2] = 1.5;		-- in-Combat Morale Regen
			[5] = 1.71;		-- in-Combat Power Regen
			[6] = 24;		-- non-Combat Power Regen
		};
	};


	-- CAPTAIN --------------------------------------------------------------------------------------------------------------------------------------------

	[24] =
	{
		[30] =		-- Armour
		{
			[25] = 1;		-- Physical Mitigation
			[26] = 0.2;		-- Tactical Mitigation
		};
		[7] =		-- Might
		{
			--[25] = 2;		-- Physical Mitigation
			[19] = 3;		-- Block Rating
			[20] = 2;		-- Parry Rating
			[15] = 8;		-- Tactical Mastery Rating
			[14] = 8;		-- Physical Mastery Rating
		};
		[8] =		-- Agility
		{
			[12] = 1;		-- Critical Rating
			[20] = 2;		-- Parry Rating
			[21] = 3;		-- Evade Rating
		};
		[9] =		-- Vitality
		{
			[1] = 3;		-- Maximum Morale
			--[25] = 2;		-- Physical Mitigation
			--[26] = 4;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[3] = 7.2;		-- non-Combat Morale Regen
		};
		[10] =		-- Will
		{
			[26] = 1;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
		};
		[11] =		-- Fate
		{
			[12] = 2.5;		-- Critical Rating
			[26] = 1;		-- Tactical Mitigation
			[2] = 1.5;		-- in-Combat Morale Regen
			[5] = 1.71;		-- in-Combat Power Regen
			[6] = 24;		-- non-Combat Power Regen
		};
	};


	-- CHAMPION --------------------------------------------------------------------------------------------------------------------------------------------

	[172] =
	{
		[30] =		-- Armour
		{
			[25] = 1;		-- Physical Mitigation
			[26] = 0.2;		-- Tactical Mitigation
		};
		[7] =		-- Might
		{
			--[25] = 2;		-- Physical Mitigation
			[20] = 5;		-- Parry Rating
			[15] = 8;		-- Tactical Mastery Rating
			[14] = 8;		-- Physical Mastery Rating
		};
		[8] =		-- Agility
		{
			[12] = 1;		-- Critical Rating
			[20] = 2;		-- Parry Rating
			[21] = 3;		-- Evade Rating
		};
		[9] =		-- Vitality
		{
			[1] = 3;		-- Maximum Morale
			--[25] = 2;		-- Physical Mitigation
			--[26] = 4;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[3] = 7.2;		-- non-Combat Morale Regen
		};
		[10] =		-- Will
		{
			[26] = 1;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[15] = 5;		-- Tactical Mastery Rating
		};
		[11] =		-- Fate
		{
			[12] = 2.5;		-- Critical Rating
			[26] = 1;		-- Tactical Mitigation
			[2] = 1.5;		-- in-Combat Morale Regen
			[5] = 1.71;		-- in-Combat Power Regen
			[6] = 24;		-- non-Combat Power Regen
		};
	};


	-- GUARDIAN --------------------------------------------------------------------------------------------------------------------------------------------

	[23] =
	{
		[30] =		-- Armour
		{
			[25] = 1;		-- Physical Mitigation
			[26] = 0.2;		-- Tactical Mitigation
		};
		[7] =		-- Might
		{
			--[25] = 2;		-- Physical Mitigation
			[19] = 3;		-- Block Rating
			[20] = 2;		-- Parry Rating
			[15] = 8;		-- Tactical Mastery Rating
			[14] = 8;		-- Physical Mastery Rating
		};
		[8] =		-- Agility
		{
			[12] = 1;		-- Critical Rating
			[20] = 2;		-- Parry Rating
			[21] = 3;		-- Evade Rating
		};
		[9] =		-- Vitality
		{
			[1] = 5;		-- Maximum Morale
			--[25] = 2;		-- Physical Mitigation
			--[26] = 4;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[3] = 7.2;		-- non-Combat Morale Regen
		};
		[10] =		-- Will
		{
			[26] = 1;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[15] = 5;		-- Tactical Mastery Rating
		};
		[11] =		-- Fate
		{
			[12] = 2.5;		-- Critical Rating
			[26] = 1;		-- Tactical Mitigation
			[2] = 1.5;		-- in-Combat Morale Regen
			[5] = 1.71;		-- in-Combat Power Regen
			[6] = 24;		-- non-Combat Power Regen
		};
	};


	-- HUNTER --------------------------------------------------------------------------------------------------------------------------------------------

	[162] =
	{
		[30] =		-- Armour
		{
			[25] = 1;		-- Physical Mitigation
			[26] = 0.2;		-- Tactical Mitigation
		};
		[7] =		-- Might
		{
			--[25] = 2;		-- Physical Mitigation
			[19] = 3;		-- Block Rating
			[20] = 2;		-- Parry Rating
		};
		[8] =		-- Agility
		{
			[12] = 1;		-- Critical Rating
			[20] = 2;		-- Parry Rating
			[21] = 3;		-- Evade Rating
			[14] = 8;		-- Physical Mastery Rating
		};
		[9] =		-- Vitality
		{
			[1] = 3;		-- Maximum Morale
			--[25] = 2;		-- Physical Mitigation
			--[26] = 4;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[3] = 7.2;		-- non-Combat Morale Regen
		};
		[10] =		-- Will
		{
			[26] = 1;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[15] = 5;		-- Tactical Mastery Rating
		};
		[11] =		-- Fate
		{
			[12] = 2.5;		-- Critical Rating
			[26] = 1;		-- Tactical Mitigation
			[2] = 1.5;		-- in-Combat Morale Regen
			[5] = 1.71;		-- in-Combat Power Regen
			[6] = 24;		-- non-Combat Power Regen
		};
	};


	-- LORE-MASTER --------------------------------------------------------------------------------------------------------------------------------------------

	[185] =
	{
		[30] =		-- Armour
		{
			[25] = 1;		-- Physical Mitigation
			[26] = 0.2;		-- Tactical Mitigation
		};
		[7] =		-- Might
		{
			--[25] = 2;		-- Physical Mitigation
			[19] = 3;		-- Block Rating
			[20] = 2;		-- Parry Rating
		};
		[8] =		-- Agility
		{
			[12] = 1;		-- Critical Rating
			[20] = 2;		-- Parry Rating
			[21] = 3;		-- Evade Rating
		};
		[9] =		-- Vitality
		{
			[1] = 3;		-- Maximum Morale
			--[25] = 2;		-- Physical Mitigation
			--[26] = 4;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[3] = 7.2;		-- non-Combat Morale Regen
		};
		[10] =		-- Will
		{
			[26] = 1;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[14] = 8;		-- Physical Mastery Rating
			[15] = 8;		-- Tactical Mastery Rating

		};
		[11] =		-- Fate
		{
			[12] = 2.5;		-- Critical Rating
			[26] = 1;		-- Tactical Mitigation
			[2] = 1.5;		-- in-Combat Morale Regen
			[5] = 1.71;		-- in-Combat Power Regen
			[6] = 24;		-- non-Combat Power Regen
		};
	};


	-- MINSTREL --------------------------------------------------------------------------------------------------------------------------------------------

	[31] =
	{
		[30] =		-- Armour
		{
			[25] = 1;		-- Physical Mitigation
			[26] = 0.2;		-- Tactical Mitigation
		};
		[7] =		-- Might
		{
			[19] = 3;		-- Block Rating
			[20] = 2;		-- Parry Rating
		};
		[8] =		-- Agility
		{
			[12] = 1;		-- Critical Rating
			[20] = 2;		-- Parry Rating
			[21] = 3;		-- Evade Rating
		};
		[9] =		-- Vitality
		{
			[1] = 3;		-- Maximum Morale
			[16] = 2;		-- Resistance Rating
			[3] = 7.2;		-- non-Combat Morale Regen
		};
		[10] =		-- Will
		{
			[26] = 1;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[14] = 8;		-- Physical Mastery Rating
			[15] = 8;		-- Tactical Mastery Rating
		};
		[11] =		-- Fate
		{
			[12] = 2.5;		-- Critical Rating
			[26] = 1;		-- Tactical Mitigation
			[2] = 1.5;		-- in-Combat Morale Regen
			[5] = 1.71;		-- in-Combat Power Regen
			[6] = 24;		-- non-Combat Power Regen
		};
	};


	-- RUNE-KEEPER --------------------------------------------------------------------------------------------------------------------------------------------

	[193] =
	{
		[30] =		-- Armour
		{
			[25] = 1;		-- Physical Mitigation
			[26] = 0.2;		-- Tactical Mitigation
		};
		[7] =		-- Might
		{
			--[25] = 2;		-- Physical Mitigation
			[19] = 3;		-- Block Rating
			[20] = 2;		-- Parry Rating
		};
		[8] =		-- Agility
		{
			[12] = 1;		-- Critical Rating
			[20] = 2;		-- Parry Rating
			[21] = 3;		-- Evade Rating
		};
		[9] =		-- Vitality
		{
			[1] = 3;		-- Maximum Morale
			--[25] = 2;		-- Physical Mitigation
			--[26] = 4;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[3] = 7.2;		-- non-Combat Morale Regen
		};
		[10] =		-- Will
		{
			[26] = 1;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[15] = 8;		-- Tactical Mastery Rating
			[14] = 8;		-- Physical Mastery Rating
		};
		[11] =		-- Fate
		{
			[12] = 2.5;		-- Critical Rating
			[26] = 1;		-- Tactical Mitigation
			[2] = 1.5;		-- in-Combat Morale Regen
			[5] = 1.71;		-- in-Combat Power Regen
			[6] = 24;		-- non-Combat Power Regen
		};
	};


	-- WARDEN --------------------------------------------------------------------------------------------------------------------------------------------

	[194] =
	{
		[30] =		-- Armour
		{
			[25] = 1;		-- Physical Mitigation
			[26] = 0.2;		-- Tactical Mitigation
		};
		[7] =		-- Might
		{
			--[25] = 2;		-- Physical Mitigation
			[19] = 3;		-- Block Rating
			[20] = 2;		-- Parry Rating
			[15] = 5;		-- Tactical Mastery Rating
			[14] = 8;		-- Physical Mastery Rating
		};
		[8] =		-- Agility
		{
			[12] = 1;		-- Critical Rating
			[20] = 2;		-- Parry Rating
			[21] = 3;		-- Evade Rating
			[15] = 5;		-- Tactical Mastery Rating
			[14] = 8;		-- Physical Mastery Rating
		};
		[9] =		-- Vitality
		{
			[1] = 5;		-- Maximum Morale
			--[25] = 2;		-- Physical Mitigation
			--[26] = 4;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
			[3] = 7.2;		-- non-Combat Morale Regen
		};
		[10] =		-- Will
		{
			[26] = 1;		-- Tactical Mitigation
			[16] = 2;		-- Resistance Rating
		};
		[11] =		-- Fate
		{
			[12] = 2.5;		-- Critical Rating
			[26] = 1;		-- Tactical Mitigation
			[2] = 1.5;		-- in-Combat Morale Regen
			[5] = 1.71;		-- in-Combat Power Regen
			[6] = 24;		-- non-Combat Power Regen
		};
	};
};

-- Calculating ICPR from fate needs its own formula.
function GetFateICPR( FATEVALUE )
   if ( not FATEVALUE ) then
      return 0;
   else
      return math.floor( 240 + FATEVALUE * 1.71 );
   end
end
